Name:           pdfshuffler
Version:        0.6.0
Release:        %mkrel 4
Summary:        PDF file merging, rearranging, and splitting
Group:          Publishing
License:        GPLv3
URL:            http://sourceforge.net/projects/pdfshuffler/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:         pdfshuffler-0.5-fix-desktop.patch
Patch1:         pdfshuffler-0.6.0-fix-icon-location.patch
Patch2:         pdfshuffler-0.6.0-fix-translation.patch
Patch3:         pdfshuffler-0.6.0-fix-FR-mnemonics.patch
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  gettext

Requires:       pygtk2.0
Requires:       python-pypdf
Requires:       python-pypoppler

%description
PDF-Shuffler is a small python-gtk application, which helps the user
to merge or split pdf documents and rotate, crop and rearrange their
pages using an interactive and intuitive graphical interface.


%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0

%install
%__rm -rf %{buildroot}
%{__python} setup.py install --root %{buildroot}
%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.1.*
%{_datadir}/%{name}/%{name}.ui
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{py_puresitedir}/%{name}
%{py_puresitedir}/%{name}-%{version}-py%{pyver}.egg-info


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.6.0-4.mga4
+ Revision: 542885
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.6.0-3.mga4
+ Revision: 498034
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.6.0-2.mga3
+ Revision: 362684
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun May 06 2012 lmenut <lmenut> 0.6.0-1.mga2
+ Revision: 234790
- fix shortcuts in french
- fix translation
- 0.6.0 final

* Sun Apr 15 2012 lmenut <lmenut> 0.6.0-0.svn75.1.mga2
+ Revision: 230940
- update license (GPLv3)
- update to 0.6.0 svn
   Cairo based rendering (in replacement of deprecated pixbuf rendering)
   fix mga #5415
- clean spec

* Sun Mar 20 2011 lmenut <lmenut> 0.5.1-3.mga1
+ Revision: 74969
- Clean spec file
  - remove buildroot
  - remove --no-compile
  -remove python-setuptools BR
- imported package pdfshuffler


* Thu Nov 04 2010 Luc Menut <lmenut@mandriva.org> 0.5.1-2mdv2011.0
+ Revision: 593470
- fix file list (.egg-info filename)
- rebuild for python 2.7
- drop %%py_requires macro
- use %%pyver macro for .egg-info file

* Tue Oct 12 2010 Luc Menut <lmenut@mandriva.org> 0.5.1-1mdv2011.0
+ Revision: 585241
- update to 0.5.1 (bugfix release)

* Tue Jan 05 2010 Luc Menut <lmenut@mandriva.org> 0.5-1mdv2010.1
+ Revision: 486508
- update to version 0.5
  drop translations patch (merged upstream)
  rediff fix-desktop patch

* Sun Aug 30 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.4.2-1mdv2010.0
+ Revision: 422625
- change layout

  + Luc Menut <lmenut@mandriva.org>
    - import pdfshuffler


* Sat Aug 22 2009 Luc Menut <lmenut@mandriva.org> 0.4.2-1mdv2010.0
- initial Mandriva package (based on Fedora's SPEC)
